### Method

# EBookContacts VCard util_dup_x_attribute

since: 3.26

#### Declaration [src]

    gchar*
    e_vcard_util_dup_x_attribute (
      EVCard* vcard,
      const gchar* x_name
    )

#### Description

No description available.

Available since: 3.26

#### Parameters

`x_name`

  Type: `const gchar*`

  The attribute name, which starts with “X-“.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

Value of attribute `x_name`, or `NULL`, when there is no such attribute. Free the returned pointer with g_free(), when no longer needed.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.